Package org.eclipse.gef.zest.fx.operations

# Class ShowHiddenNeighborsOperation

java.lang.Object
org.eclipse.core.commands.operations.AbstractOperation
org.eclipse.gef.zest.fx.operations.ShowHiddenNeighborsOperation

All Implemented Interfaces:
  `IUndoableOperation`, `ITransactionalOperation`

public class ShowHiddenNeighborsOperation extends AbstractOperation implements ITransactionalOperation
The `ShowHiddenNeighborsOperation` can be used to remove the neighbors of a given `NodePart` from the `HidingModel` of a given `IViewer`.

## Constructor Summary

Constructors
Constructor
Description
`ShowHiddenNeighborsOperation(IViewer viewer, NodePart nodePart)`
Constructs a new `ShowHiddenNeighborsOperation` that will show all hidden neighbors of the given `NodePart` by removing them from the `HidingModel` of the given `IViewer` upon execution.

## Method Summary

Modifier and Type
Method
Description
`IStatus`
`execute(IProgressMonitor monitor, IAdaptable info)`
`boolean`
`isContentRelevant()`
`boolean`
`isNoOp()`
`IStatus`
`redo(IProgressMonitor monitor, IAdaptable info)`
`IStatus`
`undo(IProgressMonitor monitor, IAdaptable info)`

### Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext`

## Constructor Details

### ShowHiddenNeighborsOperation

public ShowHiddenNeighborsOperation(IViewer viewer, NodePart nodePart)
Constructs a new `ShowHiddenNeighborsOperation` that will show all hidden neighbors of the given `NodePart` by removing them from the `HidingModel` of the given `IViewer` upon execution.

Parameters:
  `viewer` - The viewer from which to retrieve the `HidingModel`.
  `nodePart` - The `NodePart` of which the hidden neighbors are to be shown.

## Method Details

### execute

public IStatus execute(IProgressMonitor monitor, IAdaptable info) throws ExecutionException

Specified by:
  `execute` in interface `IUndoableOperation`
Specified by:
  `execute` in class `AbstractOperation`
Throws:
  `ExecutionException`

### isContentRelevant

public boolean isContentRelevant()

Specified by:
  `isContentRelevant` in interface `ITransactionalOperation`

### isNoOp

public boolean isNoOp()

Specified by:
  `isNoOp` in interface `ITransactionalOperation`

### redo

public IStatus redo(IProgressMonitor monitor, IAdaptable info) throws ExecutionException

Specified by:
  `redo` in interface `IUndoableOperation`
Specified by:
  `redo` in class `AbstractOperation`
Throws:
  `ExecutionException`

### undo

public IStatus undo(IProgressMonitor monitor, IAdaptable info) throws ExecutionException

Specified by:
  `undo` in interface `IUndoableOperation`
Specified by:
  `undo` in class `AbstractOperation`
Throws:
  `ExecutionException`